package com.sun.org.apache.xpath.internal.functions;

import javax.xml.transform.TransformerException;
import com.sun.org.apache.xml.internal.dtm.DTM;
import com.sun.org.apache.xpath.internal.objects.XString;
import com.sun.org.apache.xpath.internal.objects.XObject;
import com.sun.org.apache.xpath.internal.XPathContext;

public class FuncLocalPart extends FunctionDef1Arg
{
    static final long serialVersionUID = 7591798770325814746L;
    
    public FuncLocalPart() {
    }
    
    @Override
    public XObject execute(XPathContext xctxt) throws TransformerException {
        int context = this.getArg0AsNode(xctxt);
        if (-1 == context) {
            return XString.EMPTYSTRING;
        }
        DTM dtm = xctxt.getDTM(context);
        String s = (context != -1) ? dtm.getLocalName(context) : "";
        if (s.startsWith("#") || s.equals("xmlns")) {
            return XString.EMPTYSTRING;
        }
        return new XString(s);
    }
}
